<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__gatt__gap__ble__pref__param__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_gatt_gap_ble_pref_param_t</compoundname>
    <includes local="no">wiced_bt_gatt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__gatt__gap__ble__pref__param__t_1a2407d7f7208cd3c8d470f0b045a247f9" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_gatt_gap_ble_pref_param_t::int_min</definition>
        <argsstring />
        <name>int_min</name>
        <briefdescription>
<para>minimum connection interval </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="789" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="789" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__gap__ble__pref__param__t_1a3252e7dcfb92ce6797c3d29d890a0fd9" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_gatt_gap_ble_pref_param_t::int_max</definition>
        <argsstring />
        <name>int_max</name>
        <briefdescription>
<para>maximum connection interval </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="790" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="790" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__gap__ble__pref__param__t_1a1838ffc54d2037a82457525fd2f418d9" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_gatt_gap_ble_pref_param_t::latency</definition>
        <argsstring />
        <name>latency</name>
        <briefdescription>
<para>connection latency </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="791" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="791" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__gap__ble__pref__param__t_1aa15c87e78ad7b1820490258ac4ff705f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_gatt_gap_ble_pref_param_t::sp_tout</definition>
        <argsstring />
        <name>sp_tout</name>
        <briefdescription>
<para>connection supervision timeout </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="792" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="792" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>GATT attribute structure for preferred connection parameters. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="793" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="787" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="788" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__gatt__gap__ble__pref__param__t_1a3252e7dcfb92ce6797c3d29d890a0fd9" virt="non-virtual"><scope>wiced_bt_gatt_gap_ble_pref_param_t</scope><name>int_max</name></member>
      <member prot="public" refid="structwiced__bt__gatt__gap__ble__pref__param__t_1a2407d7f7208cd3c8d470f0b045a247f9" virt="non-virtual"><scope>wiced_bt_gatt_gap_ble_pref_param_t</scope><name>int_min</name></member>
      <member prot="public" refid="structwiced__bt__gatt__gap__ble__pref__param__t_1a1838ffc54d2037a82457525fd2f418d9" virt="non-virtual"><scope>wiced_bt_gatt_gap_ble_pref_param_t</scope><name>latency</name></member>
      <member prot="public" refid="structwiced__bt__gatt__gap__ble__pref__param__t_1aa15c87e78ad7b1820490258ac4ff705f" virt="non-virtual"><scope>wiced_bt_gatt_gap_ble_pref_param_t</scope><name>sp_tout</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>